Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class Tanterv

    java.lang.Object
      orarend.Tanterv

    public class Tanterv

extends java.lang.Object

Tanterveket reprezentáló osztály

Author:
  Csipkés László

Field Summary
`private java.lang.Integer` | `oraszam`
`private Osztaly` | `osztaly`
`private Tanar` | `tanar`
`private Tantargy` | `tantargy`

Constructor Summary
`Tanterv(Tanar tanar, Osztaly osztaly, Tantargy tantargy, java.lang.Integer oraszam)` Tanterv létrehozása

Method Summary
`java.lang.Integer` | `getOraszam()`
`Osztaly` | `getOsztaly()`
`Tanar` | `getTanar()`
`Tantargy` | `getTantargy()`
`void` | `setOraszam(java.lang.Integer oraszam)`
`void` | `setOsztaly(Osztaly osztaly)`
`void` | `setTanar(Tanar tanar)`
`void` | `setTantargy(Tantargy tantargy)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tanar

    private Tanar tanar

### osztaly

    private Osztaly osztaly

### tantargy

    private Tantargy tantargy

### oraszam

    private java.lang.Integer oraszam

Constructor Detail

### Tanterv

    public Tanterv(Tanar tanar,
                   Osztaly osztaly,
                   Tantargy tantargy,
                   java.lang.Integer oraszam)

  Tanterv létrehozása

  Parameters:
    `tanar` - tanár
    `osztaly` - osztály
    `tantargy` - tantárgy
    `oraszam` - óraszám

Method Detail

### getTanar

    public Tanar getTanar()

### setTanar

    public void setTanar(Tanar tanar)

### getOsztaly

    public Osztaly getOsztaly()

### setOsztaly

    public void setOsztaly(Osztaly osztaly)

### getTantargy

    public Tantargy getTantargy()

### setTantargy

    public void setTantargy(Tantargy tantargy)

### getOraszam

    public java.lang.Integer getOraszam()

### setOraszam

    public void setOraszam(java.lang.Integer oraszam)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD